Bug 109821 - TypeError: bad magic in header
TypeError: bad magic in header
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
1
i386 Linux
high Severity high
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-11 22:24 EST by MStites
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-05 11:36:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description MStites 2003-11-11 22:24:24 EST
Description of problem:
During install, both from CD and HTTP. The installer has an 
"Exception Occured" crash after hitting the NEXT button after 
entering the root password. This error is repeatable on two seperate 
machines. MD5SUM's are correct for all three yarrow ISO's. I 
redownloaded all three ISO's from a secondary source, and still the 
same issue.
Both machines have RH9 on them. I use EXT3 on one machine and 
EXT3/REISERFS on the other.
Both text and GUI modes have the same exception.

Version-Release number of selected component (if applicable):


How reproducible:
Every time.

Steps to Reproduce:
 1. Start install via HTTP.
2. Continue smoothly to root password screen. Enter Password
3. Hit next.

Actual results
A window pops(both GUI and text installs) up stating Exception 
Occured, and spits out the following: 
  File "/usr/lib/anaconda/gui.py", line 766, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 168, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 236, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 146, in readPackages
    hdrlist = method.readHeaders()
  File "/usr/lib/anaconda/urlinstall.py", line 204, in readHeaders
    raise TypeError, "bad magic in header"
TypeError: bad magic in header


Expected results:
It start package selection and harddrive format.

Additional info:
192.168.2.4/serve/Fedora is my web server
192.168.2.100 is the machine FC1 is being attempted on.

Output of anacdump.txt

Traceback (most recent call last):
  File "/usr/lib/anaconda/gui.py", line 766, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 168, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 236, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 146, in readPackages
    hdrlist = method.readHeaders()
  File "/usr/lib/anaconda/urlinstall.py", line 204, in readHeaders
    raise TypeError, "bad magic in header"
TypeError: bad magic in header

Local variables in innermost frame:
info: (0, 0, 0, 0)
raw:
tries: 0
magic1: 0
hl: []
url: <addinfourl at 163824524 whose fp = <open file '<socket>', mode 
'rb' at 0x9c3d428>>
hdurl: http://192.168.2.4/serve/Fedora/Fedora/base/hdlist
self: <urlinstall.UrlInstallMethod instance at 0x95f8014>


Dispatcher instance, containing members:
method: UrlInstallMethod instance, containing members:
  method.intf: InstallInterface instance, containing members:
    method.intf.icw: InstallControlWindow instance, containing 
members:
      method.intf.icw.displayHelp: 1
      method.intf.icw.stockButtons: (('gtk-go-back', 
'prevButtonStock', '_Back', <bound method InstallControlWindow.
prevClicked of <gui.InstallControlWindow instance at 0x9a04594>>), 
('gtk-go-forward', 'nextButtonStock', '_Next', <bound method 
InstallControlWindow.nextClicked of <gui.InstallControlWindow 
instance at 0x9a04594>>), ('gtk-new', 'releaseButton', '_Release 
Notes', <bound method InstallControlWindow.releaseNotesButtonClicked 
of <gui.InstallControlWindow instance at 0x9a04594>>), ('gtk-help', 
'showHelpButton', 'Show _Help', <bound method InstallControlWindow.
helpClicked of <gui.InstallControlWindow instance at 0x9a04594>>), 
('gtk-help', 'hideHelpButton', 'Hide _Help', <bound method 
InstallControlWindow.helpClicked of <gui.InstallControlWindow 
instance at 0x9a04594>>), ('gtk-execute', 'debugButton', '_Debug', 
<bound method InstallControlWindow.debugClicked of <gui.
InstallControlWindow instance at 0x9a04594>>))
      method.intf.icw.releaseNotesViewerPid: None
      method.intf.icw.handle: 846
      method.intf.icw.releaseNotesStartViewerAttempts: 0
      method.intf.icw.buttonBox: <gtk.HButtonBox object 
(GtkHButtonBox) at 0x9b561f4>
      method.intf.icw.hideHelpButton: <gtk.Button object (GtkButton) 
at 0x97d9604>
      method.intf.icw.nextButtonStock: <gtk.Button object (GtkButton) 
at 0x97d3f4c>
      method.intf.icw.help_sw: <gtk.ScrolledWindow object 
(GtkScrolledWindow) at 0x97f5424>
      method.intf.icw.releaseNotesContents: Release notes are 
missing.

      method.intf.icw.dir: 1
      method.intf.icw.dispatch: Already dumped
      method.intf.icw.reloadRcQueued: 0
      method.intf.icw.ii: Already dumped
      method.intf.icw.currentWindow: AccountWindow instance, 
containing members:
        method.intf.icw.currentWindow.forward: <function <lambda> at 
0x9c23804>
        method.intf.icw.currentWindow.intf: Already dumped
        method.intf.icw.currentWindow.rootStatus: <gtk.Label object 
(GtkLabel) at 0x9c94c6c>
        method.intf.icw.currentWindow.pw: <gtk.Entry object 
(GtkEntry) at 0x9b7705c>
        method.intf.icw.currentWindow.confirm: <gtk.Entry object 
(GtkEntry) at 0x9919784>
        method.intf.icw.currentWindow.ics: InstallControlState 
instance, containing members:
          method.intf.icw.currentWindow.ics.nextButtonLabel: None
          method.intf.icw.currentWindow.ics.helpButtonEnabled: 1
          method.intf.icw.currentWindow.ics.searchPath: 
('/mnt/source/RHupdates', './', '/usr/share/anaconda/')
          method.intf.icw.currentWindow.ics.prevButtonLabel: None
          method.intf.icw.currentWindow.ics.grabNext: 0
          method.intf.icw.currentWindow.ics.title: Set Root Password
          method.intf.icw.currentWindow.ics.nextButtonInfo: None
          method.intf.icw.currentWindow.ics.prevEnabled: 1
          method.intf.icw.currentWindow.ics.html:
          method.intf.icw.currentWindow.ics.helpEnabled: 3
          method.intf.icw.currentWindow.ics.nextEnabled: 1
          method.intf.icw.currentWindow.ics.htmlFile: accts
          method.intf.icw.currentWindow.ics.prevButton: gtk-prev
          method.intf.icw.currentWindow.ics.cw: Already dumped
          method.intf.icw.currentWindow.ics.nextButton: gtk-next
        method.intf.icw.currentWindow.rootPw: <Type RootPassword>
        method.intf.icw.currentWindow.passwords: {}
      method.intf.icw.installFrame: <gtk.Frame object (GtkFrame) at 
0x9ae969c>
      method.intf.icw.debugButton: <gtk.Button object (GtkButton) at 
0x968602c>
      method.intf.icw.table: <gtk.Table object (GtkTable) at 
0x9957824>
      method.intf.icw.releaseButton: <gtk.Button object (GtkButton) 
at 0x9b495dc>
      method.intf.icw.help: <TextViewBrowser object (GtkTextView) at 
0x961600c>
      method.intf.icw.box: <gtk.VBox object (GtkVBox) at 0x9955a84>
      method.intf.icw.helpFrame: <gtk.Frame object (GtkFrame) at 
0x968f9bc>
      method.intf.icw.releaseNotesType: text
      method.intf.icw.windowList: []
      method.intf.icw.window: <gtk.Window object (GtkWindow) at 
0x9b36d3c>
      method.intf.icw.langSearchPath: [en_US.UTF-8, en_US, en, C]
      method.intf.icw.showHelpButton: <gtk.Button object (GtkButton) 
at 0x9b482a4>
      method.intf.icw.helpState: 1
      method.intf.icw.releaseNotesStartViewer: 0
      method.intf.icw.bin: <gtk.Frame object (GtkFrame) at 0x9a12e6c>
      method.intf.icw.prevButtonStock: <gtk.Button object (GtkButton) 
at 0x995525c>
      method.intf.icw.hbox: <gtk.HBox object (GtkHBox) at 0x9615f94>
      method.intf.icw.configFileData: {'TitleBar': 
pixmaps/anaconda_header.png, 'Title': Red Hat Linux Beta, 
'Splashscreen': pixmaps/first.png, 'WelcomeScreen': pixmaps/splash.
png}
    method.intf.runres: 800x600
    method.intf.dispatch: Already dumped
  method.multiDiscs: 0
  method.rootPath: /mnt/sysimage
  method.pkgUrl: http://192.168.2.4/serve/Fedora
  method.baseUrl: http://192.168.2.4/serve/Fedora
step: 37
intf: Already dumped
flags: Flags instance, containing members:
  flags.flags: {'setupFilesystems': 1, 'usevnc': 0, 'expert': 0, 
'autoscreenshot': 0, 'test': 0, 'serial': 0, 'autostep': 0}
dispatch: Already dumped
instPath: /mnt/sysimage
firstStep: 0
id: InstallData instance, containing members:
  id.compspkg: None
  id.dbpath: None
  id.grpset: None
  id.firewall: Firewall instance, containing members:
    id.firewall.ftp: 0
    id.firewall.http: 0
    id.firewall.ssh: 0
    id.firewall.portlist:
    id.firewall.enabled: 0
    id.firewall.trustdevs: []
    id.firewall.smtp: 0
    id.firewall.ports: []
    id.firewall.telnet: 0
  id.upgradeSwapInfo: None
  id.rootParts: None
  id.upgradeInfoFound: None
  id.upgradeDeps:
  id.auth: Authentication instance, containing members:
    id.auth.hesiodLhs:
    id.auth.useKrb5: 0
    id.auth.nisuseBroadcast: 1
    id.auth.useShadow: 1
    id.auth.sambaServer:
    id.auth.krb5Realm:
    id.auth.nisDomain:
    id.auth.sambaWorkgroup:
    id.auth.ldapTLS:
    id.auth.useMD5: 1
    id.auth.useSamba: 0
    id.auth.ldapBasedn:
    id.auth.krb5Admin:
    id.auth.enableCache: 0
    id.auth.useLdapauth: 0
    id.auth.hesiodRhs:
    id.auth.ldapServer:
    id.auth.useHesiod: 0
    id.auth.krb5Kdc:
    id.auth.useLdap: 0
    id.auth.nisServer:
    id.auth.useNIS: 0
  id.upgradeRoot: None
  id.xsetup: XSetup instance, containing members:
    id.xsetup.skipx: 0
    id.xsetup.imposed_sane_default: 1
    id.xsetup.xhwstate: XF86HardwareState instance, containing 
members:
      id.xsetup.xhwstate.videocard_driver: nv
      id.xsetup.xhwstate.all_resolutions: [640x480, 800x480, 800x600, 
1024x600, 1024x768, 1152x768, 1152x864, 1280x800, 1280x960, 
1280x1024, 1400x1050, 1440x900, 1600x1200, 1680x1050, 1900x1200, 
1920x1200, 1920x1440, 2048x1536]
      id.xsetup.xhwstate.monitor: monName: Dell 1600x1200 Laptop 
Display Panel
monID: Dell 1600x1200 Laptop Display Panel
monHoriz: 31.5-90.0
monVert: 59.0-85.0
physicalWidth: 0
physicalHeight: 0

      id.xsetup.xhwstate.probed_physical_height: 0
      id.xsetup.xhwstate.videocard_name: nVidia GeForce 2 Go
      id.xsetup.xhwstate.probed_vsync: 50-70
      id.xsetup.xhwstate.resolution: 1024x768
      id.xsetup.xhwstate.video_ram: 0
      id.xsetup.xhwstate.videocard: primary: 0
vidCards: [<rhpl.videocard.VideoCard instance at 0x972dbf4>]
Primary Video Card Info:
device: fb0
descr : nVidia Corporation|NV11 [GeForce2 Go]
server: XFree86
cardManf: None
vidRam: 32768
carddata: {'CHIPSET': 'GeForce 2', 'SEE': 'NVIDIA GeForce 2 (generic)
', 'DRIVER': 'nv', 'NAME': 'nVidia GeForce 2 Go', 'NOCLOCKPROBE': ''}
devID: nVidia GeForce 2 Go
fbmodes: None
fbbpp: None

      id.xsetup.xhwstate.physical_width: 0
      id.xsetup.xhwstate.videocard_options: []
      id.xsetup.xhwstate.probed_hsync: 31.5-37.9
      id.xsetup.xhwstate.hsync: 31.5-90.0
      id.xsetup.xhwstate.probed_physical_width: 0
      id.xsetup.xhwstate.vsync: 59.0-85.0
      id.xsetup.xhwstate.probed_video_ram: 32768
      id.xsetup.xhwstate.physical_height: 0
      id.xsetup.xhwstate.colordepth: 24
      id.xsetup.xhwstate.monitor_name: Dell 1600x1200 Laptop Display 
Panel
      id.xsetup.xhwstate.dri_enabled: 0
      id.xsetup.xhwstate.xconfig: None
  id.dependencies: []
  id.fsset: FileSystemSet instance, containing members:
    id.fsset.messageWindow: <bound method InstallInterface.
messageWindow of <gui.InstallInterface instance at 0x9686ef4>>
    id.fsset.waitWindow: <bound method InstallInterface.waitWindow of 
<gui.InstallInterface instance at 0x9686ef4>>
    id.fsset.mountcount: 0
    id.fsset.entries: [fsentry -- device: hda4   mountpoint: /
           fsystem: ext3 format: 1
           ismounted: 0



    id.bootloader.configfile: /etc/lilo.conf
    id.bootloader.above1024: 1
    id.bootloader.serialOptions: None
    id.bootloader.pure: None
    id.bootloader.serialDevice: None
    id.bootloader.device: hda
    id.bootloader.drivelist: [hda]
    id.bootloader.serial: 0
    id.bootloader.forceLBA32: 0
  id.mouse: FULLNAME="Generic - 3 Button Mouse (USB)"
MOUSETYPE="imps2"
XEMU3="no"
XMOUSETYPE="IMPS/2"

  id.extraModules: [('/tmp/ramfs/DD-0/modules.cgz', 'e100'), 
('/tmp/ramfs/DD-0/modules.cgz', 'pcmcia_core')]
  id.network: Network instance, containing members:
    id.network.domains: []
    id.network.hostname: Shuriken
    id.network.isConfigured: 1
    id.network.overrideDHCPhostname: 1
    id.network.netdevices: {'eth0': DEVICE=eth0
BOOTPROTO=static
HWADDR=00:20:E0:66:31:8A
IPADDR=192.168.2.100
NETMASK=255.255.255.0
ONBOOT=yes
TYPE=Ethernet

}
    id.network.primaryNS: 61.9.128.13
    id.network.firstnetdevice: None
    id.network.secondaryNS: None
    id.network.gateway: 192.168.2.1
    id.network.ternaryNS: None
  id.instClass: InstallClass instance, containing members:
  id.upgradeRemove: []
  id.upgrade: Boolean instance, containing members:
    id.upgrade.val: 0
  id.monitor: Already dumped
  id.floppyDevice: fd0
  id.isHeadless: 0
  id.methodstr: http://192.168.2.4/serve/Fedora
  id.videocard: Already dumped
  id.desktop: Desktop instance, containing members:
    id.desktop.info: {}
    id.desktop.runlevel: 3
  id.instLanguage: InstallTimeLanguage instance, containing members:
    id.instLanguage.current: en_US.UTF-8
    id.instLanguage.tempDefault:
  id.diskset: DiskSet instance, containing members:
    id.diskset.disks: {'hda': <PedDisk object at 0x9919a20>}
    id.diskset.onlyPrimary: None
  id.handleDeps: 0
  id.langSupport: Language instance, containing members:
    id.langSupport.info: {'LANG': en_US.UTF-8, 'SYSFONT': 
latarcyrheb-sun16, 'SUPPORTED': en_US.UTF-8:en_US:en}
    id.langSupport.default: English (USA)
    id.langSupport.supported: [English (USA)]
  id.partitions: Partitions instance, containing members:
    id.partitions.useFdisk: 0
    id.partitions.useAutopartitioning: 0
    id.partitions.autoClearPartType: 1
    id.partitions.nextUniqueID: 5
    id.partitions.reinitializeDisks: 0
    id.partitions.autoClearPartDrives: []
    id.partitions.zeroMbr: 0
    id.partitions.isKickstart: 0
    id.partitions.requests: [PreexistingPartitionSpec instance, 
containing members:
      currentDrive: None
      badblocks: None
      format: 1
      migrate: 0
      origfstype: ext3FileSystem instance, containing members:
        origfstype.partedPartitionFlags: []
        origfstype.checked: 1
        origfstype.name: ext3
        origfstype.migratetofs: None
        origfstype.deviceArguments: {}
        origfstype.supported: -1
        origfstype.partedFileSystemType: <PedFileSystemType object at 
0x94e7518>
        origfstype.defaultOptions: defaults
        origfstype.maxSizeMB: 1048576
        origfstype.extraFormatArgs: [-j]
        origfstype.formattable: 1
        origfstype.linuxnativefs: 1
        origfstype.maxLabelChars: 16
      primary: None
      fstype: Already dumped
      preexist: 1
      fslabel: /boot
      uniqueID: 1
      device: hda1
      mountpoint: /boot
      requestSize: 39.1904296875
      maxSizeMB: None
      size: 39.1904296875
      end: 80324
      drive: hda
      dev: PartitionDevice instance, containing members:
        dev.device: hda1
        dev.isSetup: 0
        dev.fsoptions: {}
        dev.doLabel: 1
        dev.label: None
      grow: 0
      start: 63
      protected: 0
      ignoreBootConstraints: 0
      type: 1
, PreexistingPartitionSpec instance, containing members:
      currentDrive: None
      badblocks: None
      format: 0
      migrate: 0
      origfstype: FATFileSystem instance, containing members:
        origfstype.partedPartitionFlags: []
        origfstype.checked: 0
        origfstype.name: vfat
        origfstype.migratetofs: None
        origfstype.deviceArguments: {}
        origfstype.supported: -1
        origfstype.partedFileSystemType: <PedFileSystemType object at 
0x947adb0>
        origfstype.defaultOptions: defaults
        origfstype.maxSizeMB: 1048576
        origfstype.extraFormatArgs: []
        origfstype.formattable: 1
        origfstype.linuxnativefs: 0
        origfstype.maxLabelChars: 16
      primary: None
      fstype: Already dumped
      preexist: 1
      fslabel: None
      uniqueID: 2
      device: hda2
      mountpoint: /win
      requestSize: 5451.74560547
      maxSizeMB: None
      size: 5451.74560547
      end: 11245499
      drive: hda
      dev: PartitionDevice instance, containing members:
        dev.device: hda2
        dev.isSetup: 0
        dev.fsoptions: {}
        dev.doLabel: 1
        dev.label: None
      grow: 0
      start: 80325
      protected: 0
      ignoreBootConstraints: 0
      type: 1
, PreexistingPartitionSpec instance, containing members:
      currentDrive: None
      badblocks: None
      format: 1
      migrate: 0
      origfstype: Already dumped
      primary: None
      fstype: Already dumped
      preexist: 1
      fslabel: /
      uniqueID: 4
      device: hda4
      mountpoint: /
      requestSize: 3890.7421875
      maxSizeMB: None
      size: 3890.7421875
      end: 19631429
      drive: hda
      dev: PartitionDevice instance, containing members:
        dev.device: hda4
        dev.isSetup: 0
        dev.fsoptions: {}
        dev.doLabel: 1
        dev.label: None
      grow: 0
      start: 11663190
      protected: 0
      ignoreBootConstraints: 0
      type: 1
, PreexistingPartitionSpec instance, containing members:
      currentDrive: None
      badblocks: None
      format: 1
      migrate: None
      origfstype: swapFileSystem instance, containing members:
        origfstype.partedPartitionFlags: []
        origfstype.checked: 0
        origfstype.name: swap
        origfstype.migratetofs: None
        origfstype.deviceArguments: {}
        origfstype.supported: 1
        origfstype.partedFileSystemType: <PedFileSystemType object at 
0x93ab5a0>
        origfstype.defaultOptions: defaults
        origfstype.maxSizeMB: 1048576
        origfstype.extraFormatArgs: []
        origfstype.formattable: 1
        origfstype.linuxnativefs: 1
        origfstype.maxLabelChars: 16
      primary: None
      fstype: Already dumped
      preexist: 1
      dev: PartitionDevice instance, containing members:
        dev.device: hda3
        dev.isSetup: 0
        dev.fsoptions: {}
        dev.doLabel: 1
        dev.label: None
      uniqueID: 3
      device: hda3
      mountpoint: None
      requestSize: 203.950195312
      maxSizeMB: None
      size: 203.950195312
      end: 11663189
      drive: hda
      fslabel: None
      grow: 0
      start: 11245500
      protected: 0
      ignoreBootConstraints: 0
      type: 1
]
    id.partitions.autoPartitionRequests: [New Part Request -- 
mountpoint: / uniqueID: None
  type: ext3  format: 1  badblocks: None
  device: None drive: None  primary: None
  size: 1024  grow: 1  maxsize: None
  start: None  end: None  migrate: None  origfstype: None
, New Part Request -- mountpoint: /boot uniqueID: None
  type: ext3  format: 1  badblocks: None
  device: None drive: None  primary: None
  size: 100  grow: 0  maxsize: None
  start: None  end: None  migrate: None  origfstype: None
, New Part Request -- mountpoint: None uniqueID: None
  type: swap  format: 1  badblocks: None
  device: None drive: None  primary: None
  size: 256  grow: 1  maxsize: 512
  start: None  end: None  migrate: None  origfstype: None
]
    id.partitions.deletes: []
  id.firstboot: 0
  id.configFileData: {'TitleBar': pixmaps/anaconda_header.png, 
'Title': Red Hat Linux Beta, 'Splashscreen': pixmaps/first.png, 
'WelcomeScreen': pixmaps/splash.png}
  id.x_already_set: 0
dir: 1
skipSteps: {'autopartitionexecute': 1, 'upgrademigfind': 1, 
'confirmupgrade': 1, 'desktopchoice': 1, 'bootloaderadvanced': 1, 
'upgrademount': 1, 'xcustom': 1, 'makebootdisk': 1, 'keyboard': 2, 
'upgbootloader': 1, 'addswap': 1, 'upgrademigratefs': 1, 
'indivpackage': 1, 'upgradecontinue': 1, 'findinstall': 1, 
'language': 2, 'upgradeswapsuggestion': 1, 'autopartition': 1, 
'videocard': 1, 'fdasd': 1, 'authentication': 1, 'findpackages': 1, 
'fdisk': 1, 'betanag': 1}


/tmp/syslog:
<4>Linux version 2.4.22-1.2115.nptlBOOT (bhcompile@bugs.devel.redhat.
com) (gcc version 3.2.3 20030422 (Red Hat Linux 3.2.3-6)) #1 Wed Oct 
29 15:19:13 EST 2003
<6>BIOS-provided physical RAM map:
<4> BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
<4> BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
<4> BIOS-e820: 00000000000c0000 - 00000000000cc000 (reserved)
<4> BIOS-e820: 0000000000100000 - 000000000ffec000 (usable)
<4> BIOS-e820: 000000000ffec000 - 000000000fff0000 (reserved)
<4> BIOS-e820: 00000000ffe00000 - 0000000100000000 (reserved)
<5>0MB HIGHMEM available.
<5>255MB LOWMEM available.
<4>On node 0 totalpages: 65516
<4>zone(0): 4096 pages.
<4>zone(1): 61420 pages.
<4>zone(2): 0 pages.
<4>Dell Inspiron 8000 detected. Forcing restore of PCI configuration 
space on APM resume.
<4>Kernel command line: initrd=initrd.img ramdisk_size=8192 
BOOT_IMAGE=vmlinuz
<6>Initializing CPU#0
<4>Detected 898.059 MHz processor.
<4>Console: colour VGA+ 80x25
<4>Calibrating delay loop... 1789.13 BogoMIPS
<6>Memory: 255880k/262064k available (1264k kernel code, 5796k 
reserved, 362k data, 108k init, 0k highmem)
<6>Dentry cache hash table entries: 32768 (order: 6, 262144 bytes)
<6>Inode cache hash table entries: 16384 (order: 5, 131072 bytes)
<6>Mount cache hash table entries: 512 (order: 0, 4096 bytes)
<6>Buffer cache hash table entries: 16384 (order: 4, 65536 bytes)
<4>Page-cache hash table entries: 65536 (order: 6, 262144 bytes)
<6>CPU: L1 I cache: 16K, L1 D cache: 16K
<6>CPU: L2 cache: 256K
<6>Intel machine check architecture supported.
<6>Intel machine check reporting enabled on CPU#0.
<7>CPU:     After generic, caps: 0383f9ff 00000000 00000000 00000000
<7>CPU:             Common caps: 0383f9ff 00000000 00000000 00000000
<4>CPU: Intel Pentium III (Coppermine) stepping 06
<6>Enabling fast FPU save and restore... done.
<6>Enabling unmasked SIMD FPU exception support... done.
<6>Checking 'hlt' instruction... OK.
<6>Checking for popad bug... OK.
<4>POSIX conformance testing by UNIFIX
<4>mtrr: v1.40 (20010327) Richard Gooch (rgooch@atnf.csiro.au)
<4>mtrr: detected mtrr type: Intel
<6>PCI: PCI BIOS revision 2.10 entry at 0xfc06e, last bus=8
<6>PCI: Using configuration type 1
<6>PCI: Probing PCI hardware
<4>PCI: Probing PCI hardware (bus 00)
<4>Transparent bridge - PCI device 8086:2448
<6>PCI: Using IRQ router PIIX/ICH [8086/244c] at 00:1f.0
<6>Linux NET4.0 for Linux 2.4
<6>Based upon Swansea University Computer Society NET3.039
<4>Initializing RT netlink socket
<6>BIOS EDD facility v0.09 2003-Jan-22, 1 devices found
<4>Starting kswapd
<4>pty: 256 Unix98 ptys configured
<6>Serial driver version 5.05c (2001-07-08) with MANY_PORTS SHARE_IRQ 
SERIAL_PCI enabled
<6>ttyS0 at 0x03f8 (irq = 4) is a 16550A
<6>ttyS3 at 0x02e8 (irq = 3) is a 16550A
<6>Floppy drive(s): fd0 is 1.44M
<6>FDC 0 is a post-1991 82077
<6>NET4: Frame Diverter 0.46
<4>RAMDISK driver initialized: 16 RAM disks of 8192K size 1024 
blocksize
<6>loop: loaded (max 8 devices)
<6>Uniform Multi-Platform E-IDE driver Revision: 7.00beta4-2.4
<6>ide: Assuming 33MHz system bus speed for PIO modes; override with 
idebus=xx
<6>ICH2M: IDE controller at PCI slot 00:1f.1
<6>ICH2M: chipset revision 3
<6>ICH2M: not 100% native mode: will probe irqs later
<6>    ide0: BM-DMA at 0xbfa0-0xbfa7, BIOS settings: hda:DMA, hdb:DMA
<4>hda: IBM-DJSA-210, ATA DISK drive
<4>hdb: TOSHIBA CD-RW/DVD-ROM SD-R2002, ATAPI CD/DVD-ROM drive
<4>blk: queue c0306300, I/O limit 4095Mb (mask 0xffffffff)
<4>ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
<4>hda: attached ide-disk driver.
<4>hda: host protected area => 1
<6>hda: 19640880 sectors (10056 MB) w/384KiB Cache, CHS=1222/255/63, 
UDMA(66)
<4>hdb: attached ide-cdrom driver.
<6>hdb: ATAPI 24X DVD-ROM CD-R/RW drive, 2048kB Cache, DMA
<6>Uniform CD-ROM driver Revision: 3.12
<6>Partition check:
<6> hda: hda1 hda2 hda3 hda4
<6>usb.c: registered new driver usbdevfs
<6>usb.c: registered new driver hub
<6>host/usb-uhci.c: $Revision: 1.275 $ time 15:20:47 Oct 29 2003
<6>host/usb-uhci.c: High bandwidth mode enabled
<6>PCI: Found IRQ 11 for device 00:1f.2
<6>PCI: Sharing IRQ 11 with 02:0f.0
<6>PCI: Sharing IRQ 11 with 02:0f.1
<6>PCI: Sharing IRQ 11 with 02:0f.2
<7>PCI: Setting latency timer of device 00:1f.2 to 64
<6>host/usb-uhci.c: USB UHCI at I/O 0xbce0, IRQ 11
<4>host/usb-uhci.c: Detected 2 ports
<6>usb.c: new USB bus registered, assigned bus number 1
<6>hub.c: USB hub found
<6>hub.c: 2 ports detected
<6>host/usb-uhci.c: v1.275:USB Universal Host Controller Interface 
driver
<6>usb.c: registered new driver hiddev
<6>usb.c: registered new driver hid
<6>hid-core.c: v1.8.1 Andreas Gal, Vojtech Pavlik <vojtech@suse.cz>
<6>hid-core.c: USB HID support drivers
<6>mice: PS/2 mouse device common for all mice
<6>md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
<6>md: Autodetecting RAID arrays.
<6>md: autorun ...
<6>md: ... autorun DONE.
<6>Initializing Cryptographic API
<6>NET4: Linux TCP/IP 1.0 for NET4.0
<6>IP Protocols: ICMP, UDP, TCP
<6>IP: routing cache hash table of 2048 buckets, 16Kbytes
<6>TCP: Hash tables configured (established 16384 bind 32768)
<6>NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
<5>RAMDISK: Compressed image found at block 0
<6>Freeing initrd memory: 533k freed
<4>VFS: Mounted root (ext2 filesystem).
<7>vga16fb: initializing
<6>vga16fb: mapped to 0xc00a0000
<4>Console: switching to colour frame buffer device 80x30
<6>fb0: VGA16 VGA frame buffer device
<6>hdb: DMA disabled
<6>SCSI subsystem driver Revision: 1.00
<6>hub.c: new USB device 00:1f.2-1, assigned address 2
<6>input: USB HID v1.00 Mouse [Cypress Sem. PS2/USB Browser Combo 
Mouse] on usb1:2.0
<4>hdb: packet command error: status=0x51 { DriveReady SeekComplete 
Error }
<4>hdb: packet command error: error=0x50
<4>ATAPI device hdb:
<4>  Error: Illegal request -- (Sense key=0x05)
<4>  Invalid field in command packet -- (asc=0x24, ascq=0x00)
<4>  The failed "Start/Stop Unit" packet command was:
<4>  "1b 00 00 00 03 00 00 00 00 00 00 00 "
<4>  Error in command packet byte 4 bit 0
<6>cdrom: open failed.
<4>FAT: bogus logical sector size 0
<4>VFS: Can't find a valid FAT filesystem on dev 02:00.
<5>Intel(R) PRO/100 Network Driver - version 2.3.18-k1
<5>Copyright (c) 2003 Intel Corporation
<5>
<7>divert: allocating divert_blk for eth0
<7>e100: selftest OK.
<5>e100: eth0: Intel(R) PRO/100 Network Connection
<5>  Hardware receive checksums enabled
<5>  cpu cycle saver enabled
<5>
<6>Linux Kernel Card Services 3.1.22
<6>  options:  [pci] [cardbus]
<3>e100: eth0 NIC Link is Up 100 Mbps Full duplex
<4>hdb: packet command error: status=0x51 { DriveReady SeekComplete 
Error }
<4>hdb: packet command error: error=0x50
<4>ATAPI device hdb:
<4>  Error: Illegal request -- (Sense key=0x05)
<4>  Invalid field in command packet -- (asc=0x24, ascq=0x00)
<4>  The failed "Start/Stop Unit" packet command was:
<4>  "1b 00 00 00 03 00 00 00 00 00 00 00 "
<4>  Error in command packet byte 4 bit 0
<6>cdrom: open failed.
<4>Unable to identify CD-ROM format.
<4>VFS: Can't find ext2 filesystem on dev loop(7,0).
<6>hdb: DMA disabled
<6>md: raid0 personality registered as nr 2
<6>md: raid1 personality registered as nr 3
<6>raid5: measuring checksumming speed
<4>   8regs     :  1488.000 MB/sec
<4>   32regs    :   894.400 MB/sec
<4>   pIII_sse  :  1799.200 MB/sec
<4>   pII_mmx   :  2048.400 MB/sec
<4>   p5_mmx    :  2140.000 MB/sec
<4>raid5: using function: pIII_sse (1799.200 MB/sec)
<6>md: raid5 personality registered as nr 4
<6>Journalled Block Device driver loaded
<6>LVM version 1.0.5+(22/07/2002) module loaded
<6>parport0: PC-style at 0x378 (0x778) [PCSPP(,...)]
<6>parport0: irq 7 detected
<6>kjournald starting.  Commit interval 5 seconds
<6>EXT3 FS 2.4-0.9.19, 19 August 2002 on ide0(3,1), internal journal
<6>EXT3-fs: mounted filesystem with ordered data mode.
<6>kjournald starting.  Commit interval 5 seconds
<6>EXT3 FS 2.4-0.9.19, 19 August 2002 on ide0(3,4), internal journal
<6>EXT3-fs: mounted filesystem with ordered data mode.


/tmp/anaconda.log:
* modules to insert fbcon-vga-planes vga16fb
* loaded fbcon-vga-planes from /modules/modules.cgz
* loaded vga16fb from /modules/modules.cgz
* inserted /tmp/fbcon-vga-planes.o
* inserted /tmp/vga16fb.o
* load module set done
* 256416 kB are available
* modules to insert cramfs vfat sunrpc lockd nfs loop isofs floppy
* loaded sunrpc from /modules/modules.cgz
* loaded lockd from /modules/modules.cgz
* loaded nfs from /modules/modules.cgz
* module(s) cramfs vfat loop isofs floppy not found
* inserted /tmp/sunrpc.o
* inserted /tmp/lockd.o
* inserted /tmp/nfs.o
* load module set done
* modules to insert ide-cd
* module(s) ide-cd not found
* load module set done
* disabled DMA for CD devices hdb
* modules to insert scsi_mod sd_mod sr_mod
* loaded scsi_mod from /modules/modules.cgz
* loaded sd_mod from /modules/modules.cgz
* loaded sr_mod from /modules/modules.cgz
* inserted /tmp/scsi_mod.o
* inserted /tmp/sd_mod.o
* inserted /tmp/sr_mod.o
* load module set done
* looking for usb controllers
* found USB controller usb-uhci
* modules to insert usb-uhci
* module(s) usb-uhci not found
* load module set done
* waiting for usb to become stable...
* 2 seconds.
* modules to insert hid keybdev
* module(s) hid keybdev not found
* load module set done
* found cardbus pci adapter
* modules to insert pcmcia_core yenta_socket ds
* module(s) pcmcia_core yenta_socket ds not found
* load module set done
* probing buses
* finished bus probing
* ignoring firewire device Unknown vendor|unknown device 104c:8027 
(ohci1394)
* modules to insert usb-uhci yenta_socket
* module(s) usb-uhci yenta_socket not found
* load module set done
* trying to mount CD device hdb
* going to set language to en_US.UTF-8
* setting language to en_US.UTF-8
* 56 keymaps are available
* devices[0] is fd0
* devices[1] is hdb
* trying to mount fd0
* modules to insert pcmcia_core yenta_socket ds
* module(s) pcmcia_core yenta_socket ds not found
* load module set done
* probing buses
* finished bus probing
* ignoring firewire device Unknown vendor|unknown device 104c:8027 
(ohci1394)
* modules to insert e100 usb-uhci pcmcia_core yenta_socket
* module e100 found on driver disk Supplemental Network Drivers
* loaded e100 from /tmp/ramfs/DD-0/modules.cgz
* module pcmcia_core found on driver disk Supplemental Network 
Drivers
* loaded pcmcia_core from /tmp/ramfs/DD-0/modules.cgz
* module(s) usb-uhci yenta_socket not found
* inserted /tmp/e100.o
* inserted /tmp/pcmcia_core.o
* load module set done
* need to set up networking
* going to pick interface
* going to do getNetConfig
* reverse name lookup failed
* starting to STEP_URL
* trying to mount CD device hdb
* transferring http://192.168.2.4//serve/Fedora/Fedora/base/updates.
img to a fd
* transferring http://192.168.2.
4//serve/Fedora/disc1/Fedora/base/updates.img to a fd
* transferring http://192.168.2.4//serve/Fedora/Fedora/base/product.
img to a fd
* transferring http://192.168.2.
4//serve/Fedora/disc1/Fedora/base/product.img to a fd
* 256416 kB are available
* transferring http://192.168.2.4//serve/Fedora/Fedora/base/stage2.
img to a fd
* copied 67166208 bytes to /tmp/ramfs/stage2.img (complete)
* mntloop loop0 on /mnt/runtime as /tmp/ramfs/stage2.img fd is 17
* got url http://192.168.2.4/serve/Fedora
* getting ready to spawn shell now
* modules to insert cdrom ide-cd
* module(s) cdrom ide-cd not found
* load module set done
* disabled DMA for CD devices hdb
* modules to insert
* load module set done
* modules to insert yenta_socket ds
* module(s) yenta_socket ds not found
* load module set done
* probing buses
* finished bus probing
* ignoring firewire device Unknown vendor|unknown device 104c:8027 
(ohci1394)
* modules to insert agpgart usbcore usb-uhci yenta_socket
* module(s) agpgart usbcore usb-uhci yenta_socket not found
* load module set done
* looking for video cards requiring agpgart module
* found video card controller unknown
* modules to insert md raid0 raid1 xor raid5 fat msdos jbd ext3 
reiserfs jfs xfs lvm-mod
* loaded raid0 from /mnt/runtime/modules/modules.cgz
* loaded raid1 from /mnt/runtime/modules/modules.cgz
* loaded xor from /mnt/runtime/modules/modules.cgz
* loaded raid5 from /mnt/runtime/modules/modules.cgz
* loaded msdos from /mnt/runtime/modules/modules.cgz
* loaded jbd from /mnt/runtime/modules/modules.cgz
* loaded ext3 from /mnt/runtime/modules/modules.cgz
* loaded reiserfs from /mnt/runtime/modules/modules.cgz
* loaded jfs from /mnt/runtime/modules/modules.cgz
* loaded lvm-mod from /mnt/runtime/modules/modules.cgz
* module(s) md fat xfs not found
* inserted /tmp/raid0.o
* inserted /tmp/raid1.o
* inserted /tmp/xor.o
* inserted /tmp/raid5.o
* inserted /tmp/msdos.o
* inserted /tmp/jbd.o
* inserted /tmp/ext3.o
* inserted /tmp/reiserfs.o
* inserted /tmp/jfs.o
* inserted /tmp/lvm-mod.o
* load module set done
* loading parallel port drivers...
* modules to insert parport parport_pc
* loaded parport from /mnt/runtime/modules/modules.cgz
* loaded parport_pc from /mnt/runtime/modules/modules.cgz
* inserted /tmp/parport.o
* inserted /tmp/parport_pc.o
* load module set done
* looking for USB mouse...
* USB mouse found, loading mousedev module
* modules to insert input mousedev
* module(s) input mousedev not found
* load module set done
* failed to loading mousedev module
* Running anaconda script /usr/bin/anaconda
* Display mode = g
* Method = http://192.168.2.4/serve/Fedora
* ddcprobe returned bogus values:
ID:   None
Name: None
HorizSync: None
VertSync:  None

* Started mini-wm
* anaconda floppy device fd0
* running ['/usr/X11R6/bin/setxkbmap', '-layout', 'us', '-model', 
'pc105', '-option', '']
* IOError 404 occurred getting http://192.168.2.
4/serve/Fedora/RELEASE-NOTES-en_US.UTF-8.html: Not Found
* IOError 404 occurred getting http://192.168.2.
4/serve/Fedora/RELEASE-NOTES.en_US.UTF-8: Not Found
* IOError 404 occurred getting http://192.168.2.
4/serve/Fedora/RELEASE-NOTES-en_US.html: Not Found
* IOError 404 occurred getting http://192.168.2.
4/serve/Fedora/RELEASE-NOTES.en_US: Not Found
* IOError 404 occurred getting http://192.168.2.
4/serve/Fedora/RELEASE-NOTES-en.html: Not Found
* IOError 404 occurred getting http://192.168.2.
4/serve/Fedora/RELEASE-NOTES.en: Not Found
* IOError 404 occurred getting http://192.168.2.
4/serve/Fedora/RELEASE-NOTES-C.html: Not Found
* IOError 404 occurred getting http://192.168.2.
4/serve/Fedora/RELEASE-NOTES.C: Not Found
* IOError 404 occurred getting http://192.168.2.
4/serve/Fedora/RELEASE-NOTES.html: Not Found
* IOError 404 occurred getting http://192.168.2.
4/serve/Fedora/RELEASE-NOTES: Not Found
* moving (1) to step welcome
* moving (1) to step mouse
* moving (1) to step checkmonitorok
* moving (1) to step monitor
* moving (1) to step setsanex
* moving (1) to step findrootparts
* isys.py:mount()- going to mount /tmp/hda1 on /mnt/sysimage
* isys.py:mount()- going to mount /tmp/hda4 on /mnt/sysimage
* moving (1) to step findinstall
* moving (1) to step installtype
* Detected 256M of memory
* Swap attempt of 256M to 512M
* moving (1) to step partitionmethod
* moving (1) to step partitionobjinit
* moving (1) to step partitionmethodsetup
* moving (1) to step partition
* moving (1) to step partitiondone
* moving (1) to step bootloadersetup
* moving (1) to step bootloader
* moving (1) to step networkdevicecheck
* moving (1) to step network
* moving (1) to step firewall
* moving (1) to step languagesupport
* moving (1) to step timezone
* moving (1) to step accounts
* moving (1) to step readcomps


/tmp/netinfo:
DEVICE=eth0
ONBOOT=yes
BOOTPROTO=static
IPADDR=192.168.2.100
NETMASK=255.255.255.0
GATEWAY=192.168.2.1
BROADCAST=192.168.2.255


/tmp/lvmout:
vgchange -- no volume groups found

 "/etc/lvmtab.d"
vgscan -- creating empty "/etc/lvmtab" and "/etc/lvmtab.d"
vgscan -- reading all physical volumes (this may take a while...)
vgscan -- "/etc/lvmtab" and "/etc/lvmtab.d" successfully created
vgscan -- WARNING: This program does not do a VGDA backup of your 
volume group
Comment 1 Jeremy Katz 2003-11-12 09:38:36 EST
What HTTP server are you using?  This error means that while reading
the header list from the server, there was unexpected data received. 
If you just wget the hdlist file and md5sum it, does it match what is
on the server?
Comment 2 MStites 2003-11-12 19:24:34 EST
Hi, thank you for your quick response.
webserver: RH9, httpd-2.0.40-21.3. No special confiuration, just out
of the box config....
server:
# pwd
/serve/Fedora/Fedora/base
# md5sum hdlist
230ea31e7c3c309ce5b2a77cbef3d071  hdlist

client:
# wget http://tanto/serve/Fedora/Fedora/base/hdlist
--09:52:10--  http://tanto/serve/Fedora/Fedora/base/hdlist
           => `hdlist'
Resolving tanto... done.
Connecting to tanto[192.168.2.4]:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 10,098,320 [text/plain]

100%[====================================================================================>]
10,098,320    10.57M/s    ETA 00:00

09:52:11 (10.57 MB/s) - `hdlist' saved [10098320/10098320]

# md5sum hdlist
230ea31e7c3c309ce5b2a77cbef3d071  hdlist


also checked the md5sum on hdlist2
server: 
# md5sum hdlist2
7f45aa2bb8e2f8a8e8fc4b71203bd955  hdlist2

client: 
# md5sum hdlist2
7f45aa2bb8e2f8a8e8fc4b71203bd955  hdlist2

looks like the md5sum's are the same.
Comment 3 Edward Rudd 2003-11-21 16:23:47 EST
I am haveing this same error while trying to do an FTP install on a
clean system.  Reproducable on 2 different systems. Using various FTP
servers.. (redhat.secsup.com, ftp.freshrpms.net have been tested by
me, my brother has tested others).

I need an apt-getable install.. install a base system and get it up
and running, then apt-get the rest of the packages:)
Comment 4 Justin M. Forbes 2003-11-23 04:31:56 EST
I get the same error doing a HD install.  Interestingly enough, the HD
install is using the exact same dvd ISO file used to create the
install disk. This error does not happen when using the DVD as install
media.
Comment 5 Jay Treiman 2004-01-21 12:50:03 EST
I am not sure if this is related, but it sounds similar.

I downloaded the iso's for Fedora and wrote them onto CD's using a
machine with RedHat 9.  The checks of the iso's and disks are OK.

The install starts and I skip the media check.  The installer exists
abnormally with the errors:

cpio: bad magic error 2 reading header
bad addressinstall, exited abnormally

Any ideas?

Comment 6 Mike Dorst 2004-02-29 16:32:01 EST
I'm havin the same problem as Jay. 
 
error 2 reading header: cpio: Bad magic 
 
is the error i get when i proceed with the media check into anaconda 
from burned iso's. It says anaconda is unable to execute and you 
have to reboot 
Comment 7 Duncan Matthew Stirling 2004-04-12 11:44:16 EDT
I'm having this problem as well, through an NFS install. Downloaded iso images via 
ftp.telus.net fedora mirror, md5sums are correct. 
Comment 8 Ken Cooper 2004-04-13 16:59:01 EDT
Hi:

  That SAME EXACT error as Jays is the one I have.  I bought a totally
new AMD Athlon 2.08ghz (512mb RAM, 160gb hd) server, trying to install
Fedora on it for my website.  Once I boot the setup by the CD, usually
I'll get several different types of errors, one common one being the
one exactly like Jay.  The only different is you're all getting this
error WHILE you have it installed, whereas I have NOTHING installed. 
Any ideas of how to fix this?  I've been messing with this ALL WEEK,
and nothing.  Please, I beg of all of you to help me out!!!  Thanks a
lot!!
Comment 9 patrick 2004-04-22 08:00:43 EDT
Hi,

Unfortunately i don't have a solution to the problem but i can say 
that i have exately the same problem. Im trying to install fedora 
using a netinstall (flobby -> ftp (from sunsite.swtich-cnlab.ch)). 
the hardware i use is a dell poweredge 4300 with a adaptect 7860 
controller.

after the installer sownloaded the stage2.img file i can start 
choosing mouse, partitioning disk etc. the last screen before the 
failure happens ist to set the root password. afterwards i also 
receive the:

Traceback (most recent call last):
  File "/usr/lib/anaconda/gui.py", line 766, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 168, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 236, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 146, in readPackages
    hdrlist = method.readHeaders()
  File "/usr/lib/anaconda/urlinstall.py", line 204, in readHeaders
    raise TypeError, "bad magic in header"
TypeError: bad magic in header 

if it should be useful i can post the whoole anadump.txt file
Comment 10 JJ Monnat 2004-05-20 17:35:46 EDT
I had the exact same error with a brand new sever HP ML 310.

Traceback (most recent call last):
  File "/usr/lib/anaconda/gui.py", line 766, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 168, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 236, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 146, in readPackages
    hdrlist = method.readHeaders()
  File "/usr/lib/anaconda/urlinstall.py", line 204, in readHeaders
    raise TypeError, "bad magic in header"
TypeError: bad magic in header 


How can I install Fedora bypassing this problem ?

Thanks
JJ
Comment 11 Jeremy Katz 2004-10-05 11:36:02 EDT
Should be better in FC3.

Note You need to log in before you can comment on or make changes to this bug.